Bug 1687363 - Review Request: python-xlsxwriter - a Python module for writing files in the Excel 2007+ XLSX file format
Summary: Review Request: python-xlsxwriter - a Python module for writing files in the ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-11 11:33 UTC by Rajeesh
Modified: 2019-03-29 19:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 09:04:33 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rajeesh 2019-03-11 11:33:14 UTC
Spec URL: https://rajeeshknambiar.fedorapeople.org/spec/python-xlsxwriter.spec

SRPM URL: https://rajeeshknambiar.fedorapeople.org/srpm/python-xlsxwriter-1.1.5-1.fc29.src.rpm

Description: XlsxWriter is a Python module for writing files in the Excel 2007+ XLSX file format.

XlsxWriter can be used to write text, numbers, formulas and hyperlinks to multiple worksheets and it supports features such as formatting and many more.

Fedora Account System Username: rajeeshknambiar

Comment 1 Robert-André Mauchin 2019-03-11 23:33:50 UTC
 - Source0:	https://files.pythonhosted.org/packages/source/X/%{src_name}/%{src_name}-%{version}.tar.gz → Source0:	%{pypi_source %src_name}

 - Please do not mix tabs and spaces in your SPEC. Use one or another.

 - add docs/ and examples/ to %doc

 - escape the % in the description:

100%% compatible Excel XLSX files.

(notice the double %)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "*No copyright* BSD (unspecified)", "BSD (unspecified)". 125 files
     have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-xlsxwriter/review-python-
     xlsxwriter/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python3-xlsxwriter (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-xlsxwriter-1.1.5-1.fc31.noarch.rpm
          python-xlsxwriter-1.1.5-1.fc31.src.rpm
python3-xlsxwriter.noarch: W: spelling-error %description -l en_US Autofilters -> Auto filters, Auto-filters, Filterers
python3-xlsxwriter.noarch: W: spelling-error %description -l en_US Textboxes -> Text boxes, Text-boxes, Textbooks
python3-xlsxwriter.noarch: W: no-manual-page-for-binary vba_extract.py
python-xlsxwriter.src: W: spelling-error %description -l en_US Autofilters -> Auto filters, Auto-filters, Filterers
python-xlsxwriter.src: W: spelling-error %description -l en_US Textboxes -> Text boxes, Text-boxes, Textbooks
python-xlsxwriter.src:43: W: mixed-use-of-spaces-and-tabs (spaces: line 43, tab: line 4)
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Rajeesh 2019-03-12 10:08:59 UTC
Thank you for the review!

Fixed the following:

1. Use space instead of tab in spec file
2. Defined %srcname instead of %src_name for easier use of %pypi_source
3. Used %pypi_source in Source0
4. Escaped % in description
5. docs/ and examples/ installed in %doc

Updated spec and srpm files in the same location as in comment#1.

Comment 3 Robert-André Mauchin 2019-03-12 14:07:00 UTC
Package approved.

Comment 4 Gwyn Ciesla 2019-03-13 13:32:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-xlsxwriter

Comment 5 Fedora Update System 2019-03-14 09:26:05 UTC
python-xlsxwriter-1.1.5-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f4af63bb4e

Comment 6 Fedora Update System 2019-03-14 09:26:35 UTC
python-xlsxwriter-1.1.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6d585657db

Comment 7 Fedora Update System 2019-03-14 09:27:00 UTC
python-xlsxwriter-1.1.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-30fc7cecaf

Comment 8 Fedora Update System 2019-03-14 20:59:24 UTC
python-xlsxwriter-1.1.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f4af63bb4e

Comment 9 Fedora Update System 2019-03-15 04:16:48 UTC
python-xlsxwriter-1.1.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-30fc7cecaf

Comment 10 Fedora Update System 2019-03-15 17:57:14 UTC
python-xlsxwriter-1.1.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6d585657db

Comment 11 Fedora Update System 2019-03-23 02:24:58 UTC
python-xlsxwriter-1.1.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-03-25 06:05:01 UTC
python-xlsxwriter-1.1.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-29 19:15:12 UTC
python-xlsxwriter-1.1.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.